Summary: emi.fts.srm-api-c
Name: srm-api-c
Version:
Release:
License: Apache Software License
Vendor: RMI
Group: System Environment/Libraries
BuildRequires: CGSI_gSOAP_2.7
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: gsoap-devel
BuildRequires: libtool
BuildRequires: globus-common-progs
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: CGSI-gSOAP-devel
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
This package provides C and C++ client API (based on gSOAP) for contacting SRM v1.1 services.

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-version=%{version} --with-interface-version=%{version} --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-cgsi-gsoap-location=/ --enable-server-api --with-emi
 make all
  
  

%install
# libtool / rpath probs
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_srm_api_c.so
%{_libdir}/libglite_data_srm_api_c.so.*
%{_libdir}/libglite_data_srm_server_api_c.a
%{_libdir}/libglite_data_srm_server_api_cpp.so
%{_libdir}/libglite_data_srm_server_api_c.so.*
%{_libdir}/libglite_data_srm_api_c.a
%{_libdir}/libglite_data_srm_server_api_c.so
%{_libdir}/libglite_data_srm_api_cpp.so
%{_libdir}/libglite_data_srm_server_api_cpp.so.*
%{_libdir}/libglite_data_srm_server_api_cpp.a
%{_libdir}/libglite_data_srm_api_cpp.a
%{_libdir}/libglite_data_srm_api_cpp.so.*
%dir /usr/interface/
/usr/interface/srm.v1.1.wsdl
%{_bindir}/glite_data_srm_api_cpp_test_delete
%{_bindir}/glite_data_srm_api_cpp_test_create
%{_bindir}/glite_data_srm_api_cpp_test
%{_bindir}/glite_data_srm_api_c_test
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/srm/
%dir %{_includedir}/glite/data/srm/c/
%{_includedir}/glite/data/srm/c/envStub.h
%{_includedir}/glite/data/srm/c/srm.nsmap
%{_includedir}/glite/data/srm/c/envH.h
%{_includedir}/glite/data/srm/c/srmH.h
%{_includedir}/glite/data/srm/c/srmStub.h
%dir %{_includedir}/glite/data/srm/cpp/
%{_includedir}/glite/data/srm/cpp/envStub.h
%{_includedir}/glite/data/srm/cpp/srm.nsmap
%{_includedir}/glite/data/srm/cpp/envH.h
%{_includedir}/glite/data/srm/cpp/srmISRMObject.h
%{_includedir}/glite/data/srm/cpp/srmH.h
%{_includedir}/glite/data/srm/cpp/srmStub.h
%{_includedir}/glite/data/srm/cpp/srmISRMProxy.h
%dir %{_defaultdocdir}/glite-data-srm-api-c/
%{_defaultdocdir}/glite-data-srm-api-c/RELEASE-NOTES
%{_defaultdocdir}/glite-data-srm-api-c/LICENSE

%changelog
 
